Subject: bug#77709: Restoring the Hurd on core-packages-team branch

From: [email-masked]
Date: Mon, 5 May 2025 22:10:30 +0200 (GMT+02:00)

For [email-masked] when I tried to rerun the tests only the t/backcompat2.sh test was failing.
However this seems to be a transient failure that went away when I retried. Should flaky tests be disabled? 

I dont have the previous logs anymore but iirc there were more failed tests previously. As this test suite takes forever with a single core (phase `check' succeeded after 3722.8 seconds) I did not bother to check again previously.

In particular the issue with the t/output-order.sh test and the libgc warnings from the guile driver seem to be gone/less of a problem.